# classes/phing/tasks/ext/coverage/CoverageThresholdTask.php

## \CoverageThresholdTask
jump to top

Stops the build if any of the specified coverage threshold was not reached

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Benjamin Schultz
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.coverage
since
  2.4.1
version
  $Id: CoverageThresholdTask.php 1206 2011-07-03 22:46:44Z bschultz $

### Properties

`\Path $_classpath= 'null'`

Holds an optional classpath

Default value `null` Details

Type
  \Path

`\PhingFile $_database= 'null'`

Holds an optional database file

Default value `null` Details

Type
  \PhingFile

`\Excludes $_excludes= 'null'`

Holds the exclusions

Default value `null` Details

Type
  \Excludes

`integer $_minClassCoverageFound= 'null'`

Holds the minimum found coverage value for a class

Default value `null` Details

Type
  integer

`integer $_minMethodCoverageFound= 'null'`

Holds the minimum found coverage value for a method

Default value `null` Details

Type
  integer

`integer $_perClass= '25'`

Holds the coverage threshold for any class

Default value `25` Details

Type
  integer

`integer $_perMethod= '25'`

Holds the coverage threshold for any method

Default value `25` Details

Type
  integer

`integer $_perProject= '25'`

Holds the coverage threshold for the entire project

Default value `25` Details

Type
  integer

`integer $_projectStatementCount= '0'`

Number of statements in the entire project

Default value `0` Details

Type
  integer

`integer $_projectStatementsCovered= '0'`

Number of covered statements in the entire project

Default value `0` Details

Type
  integer

`boolean $_verbose= 'false'`

Whether to enable detailed logging

Default value `false` Details

Type
  boolean

### Methods

`calculateCoverageThreshold( string $filename, array $coverageInformation ) :`
Calculates the coverage threshold
Parameters

Name | Type | Description
--- | --- | ---
$filename | string | The filename to analyse
$coverageInformation | array | Array with coverage information

`createClasspath( ) : \Path`
Create classpath object
Returns

Type | Description
--- | ---
\Path |

`createExcludes( ) : \Excludes`
Create excludes object
Returns

Type | Description
--- | ---
\Excludes |

`filterCovered( integer $var ) : boolean`
Filter covered statements
Parameters

Name | Type | Description
--- | --- | ---
$var | integer | Coverage CODE/count

Returns

Type | Description
--- | ---
boolean |

`main( ) :`
`setClasspath( \Path $classpath ) :`
Sets an optional classpath
Parameters

Name | Type | Description
--- | --- | ---
$classpath | \Path | The classpath

`setDatabase( \PhingFile $database ) :`
Sets the optional coverage database to use
Parameters

Name | Type | Description
--- | --- | ---
$database | \PhingFile | The database file

`setPerClass( integer $threshold ) :`
Sets the coverage threshold for any class
Parameters

Name | Type | Description
--- | --- | ---
$threshold | integer | Coverage threshold for any class

`setPerMethod( integer $threshold ) :`
Sets the coverage threshold for any method
Parameters

Name | Type | Description
--- | --- | ---
$threshold | integer | Coverage threshold for any method

`setPerProject( integer $threshold ) :`
Sets the coverage threshold for entire project
Parameters

Name | Type | Description
--- | --- | ---
$threshold | integer | Coverage threshold for entire project

`setVerbose( boolean $verbose ) :`
Sets whether to enable detailed logging or not
Parameters

Name | Type | Description
--- | --- | ---
$verbose | boolean |

Documentation was generated by DocBlox 0.13.1.